org.apache.http.cookie

## Class CookiePathComparator

- java.lang.Object
- - org.apache.http.cookie.CookiePathComparator

All Implemented Interfaces:
  Serializable, Comparator<Cookie>

    @Contract(threading=IMMUTABLE)
    public class CookiePathComparator
    extends Object
    implements Serializable, Comparator<Cookie>

This cookie comparator ensures that multiple cookies satisfying a common criteria are ordered in the `Cookie` header such that those with more specific Path attributes precede those with less specific.

This comparator assumes that Path attributes of two cookies path-match a commmon request-URI. Otherwise, the result of the comparison is undefined.

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

Fields
`static CookiePathComparator` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`CookiePathComparator()`

### Method Summary

Methods
`int` `compare(Cookie c1, Cookie c2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### INSTANCE

    public static final CookiePathComparator INSTANCE

### Constructor Detail

#### CookiePathComparator

    public CookiePathComparator()

### Method Detail

#### compare

    public int compare(Cookie c1,
              Cookie c2)

Specified by:
  `compare` in interface `Comparator<Cookie>`